/// <reference types="node" />
export declare function fail(e: Error): never;
export declare function error(message: any): void;
export declare function log(message: any): void;
/**
 * Executes a command with STDOUT > STDERR.
 */
export declare function exec(command: string, options: {
    cwd: string;
}): void;
/**
 * Executes command and returns STDOUT. If the command fails (non-zero), throws an error.
 */
export declare function execCapture(command: string, options: {
    cwd: string;
}): Buffer;
export declare function deepMerge(target: any, source: any): any;
export type Condition<T> = (key: string, value: any) => value is T;
/**
 * Given a JSON object and a matching function, find the section of
 * JSON satisfying the condition if there is one.
 */
export declare function tryFindByPredicate<T>(json: any, condition: Condition<T>): {
    key: string;
    value: T;
} | undefined;
